org.apache.maven.scm.provider.tfs.command

## Class TfsUnEditCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.unedit.AbstractUnEditCommand
    - - org.apache.maven.scm.provider.tfs.command.TfsUnEditCommand

- All Implemented Interfaces:
    Command

      public class TfsUnEditCommand
      extends AbstractUnEditCommand

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TfsUnEditCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TfsCommand` | `createCommand(ScmProviderRepository r, ScmFileSet f)`
    `protected ScmResult` | `executeUnEditCommand(ScmProviderRepository r, ScmFileSet f)`

    - ### Methods inherited from class org.apache.maven.scm.command.unedit.AbstractUnEditCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TfsUnEditCommand

          public TfsUnEditCommand()

  - ### Method Detail

    - #### executeUnEditCommand

          protected ScmResult executeUnEditCommand(ScmProviderRepository r,
                                       ScmFileSet f)
                                            throws ScmException

      Specified by:
        `executeUnEditCommand` in class `AbstractUnEditCommand`
      Throws:
        `ScmException`

    - #### createCommand

          public TfsCommand createCommand(ScmProviderRepository r,
                                 ScmFileSet f)

Copyright © 2003–2015. All rights reserved.